Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.cin.mycarenet._1_0.carenet.types
Class PeriodLength

    java.lang.Object
      be.cin.mycarenet._1_0.carenet.types.PeriodLength

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2020-03-19T04:16:02+01:00",
               comments="JAXB RI v2.2.11")
    public class PeriodLength

extends Object
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <simpleContent>
         <extension base="<urn:be:cin:mycarenet:1.0:carenet:types>NumericalType_2">
           <attribute name="type" use="required" type="{urn:be:cin:mycarenet:1.0:carenet:types}PeriodLengthTypeType" />
         </extension>
       </simpleContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`PeriodLength()`

Method Summary
`PeriodLengthTypeType` | `getType()` Gets the value of the type property.
`String` | `getValue()` NumericalType Limited to a length of 2
`void` | `setType(PeriodLengthTypeType value)` Sets the value of the type property.
`void` | `setValue(String value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PeriodLength

    public PeriodLength()

Method Detail

### getValue

    public String getValue()

  NumericalType Limited to a length of 2

  Returns:
    possible object is `String`

### setValue

    public void setValue(String value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is `String`

### getType

    public PeriodLengthTypeType getType()

  Gets the value of the type property.

  Returns:
    possible object is `PeriodLengthTypeType`

### setType

    public void setType(PeriodLengthTypeType value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `PeriodLengthTypeType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.19.1 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.